QGIS Application - Feature request #15905
QgsGeometryAnalyzer, buffer: Allow specification of segments
2016-11-29 02:47 AM - Havard Tveite

Status: Closed

Priority: Normal

Assignee:

Category: Geometry

Pull Request or Patch supplied: Resolution: wontfix
Easy fix?: No Copied to github as #: 23822
Description

For the QgsGeometryAnalyzer buffer function, it would be useful to be able to specify the number of segments (for approximating arcs).
Number of segments is the second parameter to the QgsGeometry buffer function (that is used by QgsGeometryAnalyzer bufferFeature
that is in turn used by QgsGeometryAnalyzer buffer). Current behaviour is to always use 5 for the segment parameter of QgsGeometry
buffer.

It seems as if not many changes would need to be made in the code.

QgsGeometryAnalyzer::bufferFeature would need a new parameter ("segments"), and in the line

bufferGeometry = featureGeometry.buffer( currentBufferDistance, 5 );

"5" would have to be changed to "segments”.

QgsGeometryAnalyzer::buffer would also need a new parameter ("segments”), and in the two lines

bufferFeature( currentFeature, processedFeatures, &vWriter, dissolve, dissolveGeometry, bufferDistance, bufferDistanceField );

the "segments” parameter would need to be added.

If the new "segments" parameter is optional and added as the last one, existing applications should not be affected.

If there is interest, | can try to create a pull request on github, but | guess there may be more to do then just what | have suggested
above...

History

#1 - 2017-03-24 09:46 AM - Havard Tveite

Pull request: https://github.com/qgis/QGIS/pull/4302

#2 - 2017-05-01 12:44 AM - Giovanni Manghi
- Easy fix? set to No

#3 - 2017-05-11 05:53 PM - Havard Tveite

If my pull request does not fix this, it would be nice if someone could explain what the problem is.
https://github.com/qgis/QGIS/pull/4302

#4 - 2017-05-11 07:46 PM - Giovanni Manghi
- Pull Request or Patch supplied changed from No to Yes
- Description updated

Try raise the problem directly in the PR or in the dev mailing list, thanks!

#5 - 2017-05-12 09:42 AM - Havard Tveite

Thanks. | have tried the dev list.

#6 - 2017-05-23 01:06 PM - Alexander Bruy

This is not necessary/useful with upcomming Processing refactoring.

#7 - 2017-11-28 07:53 AM - Alexander Bruy
- Status changed from Open to Closed

QgsGeometryAnalyzer was removed from analysis lib

#8 - 2017-11-30 04:35 AM - Giovanni Manghi

- Resolution set to wontfix
